My Project: dgCollisionCompound::dgOOBBTestData Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgCollisionCompound::dgOOBBTestData Class Reference

`#include <dgCollisionCompound.h>`

## Public Member Functions

| dgOOBBTestData (const dgMatrix &matrix)
| dgOOBBTestData (const dgMatrix &matrix, const dgVector &origin, const dgVector &size)

## Public Attributes

dgMatrix | m_matrix
dgMatrix | m_absMatrix
dgVector | m_origin
dgVector | m_size
dgVector | m_localP0
dgVector | m_localP1
dgVector | m_aabbP0
dgVector | m_aabbP1
dgVector | m_crossAxis [9]
dgVector | m_crossAxisAbs [9]
dgVector | m_crossAxisDotAbs [9]
dgVector | m_extendsMinX [3]
dgVector | m_extendsMaxX [3]

## Constructor & Destructor Documentation

## § dgOOBBTestData() [1/2]

dgCollisionCompound::dgOOBBTestData::dgOOBBTestData | ( | const dgMatrix & | matrix | ) |

## § dgOOBBTestData() [2/2]

dgCollisionCompound::dgOOBBTestData::dgOOBBTestData | ( | const dgMatrix & | matrix,
|  | const dgVector & | origin,
|  | const dgVector & | size
| ) |  |

## Member Data Documentation

## § m_aabbP0

dgVector dgCollisionCompound::dgOOBBTestData::m_aabbP0

## § m_aabbP1

dgVector dgCollisionCompound::dgOOBBTestData::m_aabbP1

## § m_absMatrix

dgMatrix dgCollisionCompound::dgOOBBTestData::m_absMatrix

## § m_crossAxis

dgVector dgCollisionCompound::dgOOBBTestData::m_crossAxis[9]

## § m_crossAxisAbs

dgVector dgCollisionCompound::dgOOBBTestData::m_crossAxisAbs[9]

## § m_crossAxisDotAbs

dgVector dgCollisionCompound::dgOOBBTestData::m_crossAxisDotAbs[9]

## § m_extendsMaxX

dgVector dgCollisionCompound::dgOOBBTestData::m_extendsMaxX[3]

## § m_extendsMinX

dgVector dgCollisionCompound::dgOOBBTestData::m_extendsMinX[3]

## § m_localP0

dgVector dgCollisionCompound::dgOOBBTestData::m_localP0

## § m_localP1

dgVector dgCollisionCompound::dgOOBBTestData::m_localP1

## § m_matrix

dgMatrix dgCollisionCompound::dgOOBBTestData::m_matrix

## § m_origin

dgVector dgCollisionCompound::dgOOBBTestData::m_origin

## § m_size

dgVector dgCollisionCompound::dgOOBBTestData::m_size

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/physics/dgCollisionCompound.h
- dynamics.mod/NewtonDynamics/source/physics/dgCollisionCompound.cpp